PEEKFD(1)

BEZEICHNUNG
peekfd - nach Dateideskriptoren laufender Prozesse schauen

ÜBERSICHT
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] PID [Dateideskriptor] [Dateideskriptor] …

BESCHREIBUNG
peekfd hängt sich an einen laufenden Prozess an und fängt alle Lese- und Schreibvorgänge von und zu Dateideskriptoren ab. Sie können die Nummern der gewünschten Dateideskriptoren angeben oder alle ausgeben lassen.

OPTIONEN

-8  führt keine Nachverarbeitung der gelesenen oder geschriebenen Bytes durch.

-n  zeigt keine Kopfzeilen an, welche die Quelle der ausgegebenen Bytes angeben.

-c  gibt auch die Aktivität des angefragten Dateideskriptors in jeglichen neu erstellten Kindprozessen aus.

-d  entfernt Lese- und Schreibvorgänge aus der Ausgabe, die mehrfach erscheinen. Wenn Sie ein TTY mit Echo verwenden, werden Sie dies möglicherweise brauchen.

-v  zeigt eine Versionszeichenkette an.

-h  zeigt eine Hilfemeldung an.

DATEIEN
/proc/*/fd
    Wird nicht verwendet, aber ist für den Benutzer nützlich, um die Nummern der gewünschten Dateideskriptoren zu finden.

UMGEBUNGSVARIABLEN
Keine.

DIAGNOSE
Die folgenden Diagosen können in die Standardfehlerausgabe geschrieben werden:

Fehler beim Anhängen an <PID>
    Ein unbekannter Fehler ist bei dem Versuch aufgetreten, an einen Prozess anzuhängen. Möglicherweise müssen Sie Root sein.

FEHLER
Wahrscheinlich viele. Seien Sie nicht überrascht, wenn der von Ihnen überwachte Prozess abstürzt.

AUTOR
Trent Waddington (trent.waddington@gmail.com)

SIEHE AUCH
ttysnoop(8)